Nagios XI < 5.11.2 Multiple Vulnerabilities

high Nessus Plugin ID 181758

Synopsis

The remote host has a web application affected by multiple vulnerabilities.

Description

According to the self-reported version of Nagios XI, the remote host is affected by multiple vulnerabilities, including the following:

- A SQL injection vulnerability in Nagios XI from version 5.11.0 up to and including 5.11.1 allows authenticated attackers to execute arbitrary SQL commands via the ID parameter in the POST request to /nagiosxi/admin/banner_message-ajaxhelper.php (CVE-2023-40931)

- A Cross-site scripting (XSS) vulnerability in Nagios XI version 5.11.1 and below allows authenticated attackers with access to the custom logo component to inject arbitrary javascript or HTML via the alt-text field. This affects all pages containing the navbar including the login page which means the attacker is able to to steal plaintext credentials. (CVE-2023-40932)

- A SQL injection vulnerability in Nagios XI v5.11.1 and below allows authenticated attackers with announcement banner configuration privileges to execute arbitrary SQL commands via the ID parameter sent to the update_banner_message() function. (CVE-2023-40933)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Nagios XI 5.11.2 or later.

See Also

https://www.nagios.com/downloads/nagios-xi/change-log/

https://www.nagios.com/products/security/

Plugin Details

Severity: High

ID: 181758

File Name: nagiosxi_5_11_2.nasl

Version: 1.5

Type: combined

Agent: unix

Family: CGI abuses

Published: 9/21/2023

Updated: 6/5/2024

Configuration: Enable thorough checks

Supported Sensors: Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 9

Temporal Score: 6.7

Vector: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

CVSS Score Source: CVE-2023-40933

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:nagios:nagios_xi

Exploit Ease: No known exploits are available

Patch Publication Date: 9/19/2023

Vulnerability Publication Date: 9/19/2023

Reference Information

CVE: CVE-2023-40931, CVE-2023-40932, CVE-2023-40933, CVE-2023-40934

IAVB: 2023-B-0071-S